Subiject: IRRE children's children are not moved with parent

Description

Having a parent-child structure spanning three levels, only the first and second level elements are moved to a different page. All child

elements below the second level are not changed.

The test assertion
typo3/sysext/workspaces/Tests/Functional/DataHandling/IRRE/ForeignField/Modify/DataSet/moveParentContentToDifferentPage.csv

is wrong for tx_irretutorial_1nff_offer and tx_irretutorial_1nff_price here.

Associated revisions

Revision 9f0a5b49 - 2014-06-12 18:12 - Oliver Hader

[BUGFIX] IRRE children's children are not moved with parent

Having a parent-child structure spanning three levels, only the

first and second level elements are moved to a different page.

All child elements below the second level are not changed.

The reason is, that the move-placeholder is only created for

the first level of children.

Resolves: #59111

Releases: 6.2

Change-Id: 1a044a1241b8b1e4885cabbbc44b777f847b4c9e5
Reviewed-on: https://review.typo3.0rg/30463

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-05-28 08:40 - Oliver Hader

The reason is, that the move-placeholder is only created for the first level of children.

#2 - 2014-05-28 11:26 - Gerrit Code Review

- Status changed from New to Under Review

2015-08-04



https://review.typo3.org/30463

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30463

#3 - 2014-05-28 11:26 - Oliver Hader
- Assigned To set to Oliver Hader

#4 - 2014-06-12 18:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9f0abb493246647890fabdab5f07062c72ecf46e.
